package hiro.yoshioka.sql.resource.view;

import hiro.yoshioka.sdh.DatabaseType;
import hiro.yoshioka.sql.params.ConnectionProperties;

import org.eclipse.jface.action.IMenuManager;
import org.eclipse.swt.widgets.Shell;

public interface IDBResourceTreeViewerContextMenuListener {

	boolean hasEditorMenu();

	void createEditorContextMenuShow(IMenuManager manager);

	void createConnectionMenuShow(IMenuManager manager,
			DatabaseType databaseType, ConnectionProperties prop);

	void createResourceOfDBMenuShow(Shell shell, IMenuManager manager,
			DatabaseType databaseType, ConnectionProperties prop,
			DBResourceTreeSelection selection);
}
